Summary: an interpreter for all Infocom games
Name: frotz
Version: 2.32
Release: 2
Copyright: distributable
Group: Games
Source: ftp://ftp.gmd.de/if-archive/infocom/interpreters/frotz/UnixFrotz232R2Std10.tar.gz
Source1: frotz.sh
Source2: frotz.csh
Source3: frotz-redhat-linux.README
Source4: runzcode2
Patch: frotz-2.32-make.patch
BuildRoot: /tmp/frotz-root
URL: http://www.geocities.com/SiliconValley/Heights/3222/frotz.html
%description
Frotz is a Z-machine interpreter.  The Z-machine was a virtual machine
designed by Infocom to run all of their text adventures.  It went through
multiple revisions during the lifetime of the company, and two further
revisions (V7  and  V8) were created by Graham Nelson after the company's
demise.  The specification is now quite well documented; this version of
frotz supports version 1.0.  Frotz is superior to Pinfocom and Xzip.

Frotz is freeware: It may be used and distributed freely provided no
commercial profit is involved.
(c) 1995, 1996 Stefan Jokisch, <s.jokisch@avu.de>. 

%prep
%setup
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
for I in /usr/games /usr/man/man6 /etc/profile.d
do
    mkdir -p $RPM_BUILD_ROOT/$I
done

install -s -m 755 frotz $RPM_BUILD_ROOT/usr/games
install -m 644 frotz.6 $RPM_BUILD_ROOT/usr/man/man6
install -m 755 $RPM_SOURCE_DIR/frotz.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 $RPM_SOURCE_DIR/frotz.csh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 $RPM_SOURCE_DIR/runzcode2 $RPM_BUILD_ROOT/usr/games

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(644, root, root) %doc Readme.unix $RPM_SOURCE_DIR/frotz-redhat-linux.README
%attr(755, root, root) /usr/games/frotz
%attr(755, root, root) /usr/games/runzcode2
%attr(644, root, root) /usr/man/man6/frotz.6
%attr(755, root, root) %config /etc/profile.d/frotz.sh
%attr(755, root, root) %config /etc/profile.d/frotz.csh

%post
echo "Set up links for easy calling of games.  Don't worry if this fails."
cd /usr/games
for i in 1 2 3 4 5 6 7 8
do
  for dat in /usr/lib/games/zcode/*.z$i
  do
    if [ -f $dat ]
    then
      ln -sv runzcode2 `basename $dat .z$i`
    fi
  done
done
echo "You can safely ignore any problems in this post-install script."

%preun
# remove all links pointing to runzcode2 - probably not the best solution...
cd /usr/games
for dat in /usr/games/*
do
  if [ $dat != "/usr/games/runzcode2" ]
  then
    if cmp -s runzcode2 $dat
    then
      rm $dat
    fi
  fi
done

